#!/bin/bash

CONFIG=~/.kde/share/config/kwinrulesrc

# Check if kwin is already configured
grep kopete-amarok $CONFIG

if [ "$?" == "1" ] ; then
echo $?>/tmp/merde
cp -f $CONFIG $CONFIG.old

echo \
"[1]
below=true
belowrule=2
clientmachine=milouse
clientmachinematch=0
closeable=false
closeablerule=2
description=Kopete Amarok Script
desktop=-1
desktoprule=2
noborder=true
noborderrule=2
position=200,200
positionrule=4
skippager=true
skippagerrule=2
skiptaskbar=true
skiptaskbarrule=2
title=kopete-amarok
titlematch=2
types=1
wmclass=display display
wmclasscomplete=true
wmclassmatch=0
">$CONFIG

count=1
while read line
do
	# decrease [num] rules
	item=$(expr "$line" : '\[\(.*\)\]')

	# New item
	if [ -n "$item" -a "$item" != "General" ] ; then
		echo >> $CONFIG
		echo "[$(( item+1 ))]" >> $CONFIG
		(( count+=1 ))
	# Continue to add item	
	elif [ "$item" != "General" ]; then
		echo "$line" >> $CONFIG
	# No more items	
	else
		break
	fi
done < $CONFIG.old
echo >> $CONFIG
echo "[General]" >> $CONFIG
echo "count=$count" >> $CONFIG

dcop kwin default reconfigure

rm -f $CONFIG.old
fi
