#!/bin/bash

LASTALBUM="/tmp/amarok-lalbum"


if ! [ -f "$LASTALBUM"  ]; then
touch "$LASTALBUM"
fi

prevalbum=`cat $LASTALBUM`
curalbum=`dcop amarok player album`
if [ "$curalbum" != "$prevalbum" ] ; then

   echo "$curalbum">$LASTALBUM
   lastcover=`cat /tmp/lastcover`

   PICTURE=`dcop amarok player coverImage`
   NOCOVER=`echo "$PICTURE"|grep @nocover`
   if [ -n "$PICTURE" -a  -z "$NOCOVER" ]; then
	
      /usr/bin/display -title kopete-amarok -immutable -thumbnail 200 -quality 75 "$PICTURE"&
      if [ "$lastcover" != "$PICTURE" ]; then
         killhim
      fi
      echo "$PICTURE">/tmp/lastcover
   else
      killhim
   fi
fi      
