#!/bin/bash

function killhim 
{
   lastcover=`cat /tmp/lastcover`
   [[ -n $lastcover ]] && (
                           ps x | grep "$lastcover" | (
                                                       read pid autres
                                                       kill $pid
						      )
			  )			      
}

function killhimexit
{
   killhim	
   exit 0
}
trap killhimexit SIGTERM

KDEDIR=~/.kde/share/apps/amarok/scripts/cover_desktop

# kwin configuration
source $KDEDIR/check_kwin.sh

>/tmp/amarok-lalbum
>/tmp/lastcover
source $KDEDIR/amarok.sh

while [ 1 ]; do
   read notification || exit 0
   if [ "x$notification" == "xtrackChange" ]; then
      [ -f /tmp/cover_run ] && continue
      >/tmp/cover_run
      source $KDEDIR/amarok.sh
      sleep 5
      rm -f /tmp/cover_run
   elif [ "x$notification" == "xengineStateChange: empty" ]; then
      >/tmp/amarok-lalbum
      killhim
   fi;
done
